# samples/common/classes/NvJpegDecoder.cpp File Reference

`#include "NvJpegDecoder.h"`
`#include "NvLogging.h"`
`#include <string.h>`
`#include <malloc.h>`
`#include "unistd.h"`
`#include "stdlib.h"`

Go to the source code of this file.

## Defines

#define | MAX(a, b) ((a) > (b) ? (a) : (b))
#define | ROUND_UP_4(num) (((num) + 3) & ~3)
#define | CAT_NAME "JpegDecoder"

## Define Documentation

#define CAT_NAME "JpegDecoder"

Definition at line 39 of file NvJpegDecoder.cpp.

#define MAX | ( | a,
|  | b |  | ) | ((a) > (b) ? (a) : (b))

Definition at line 36 of file NvJpegDecoder.cpp.

#define ROUND_UP_4 | ( | num |  | ) | (((num) + 3) & ~3)

Definition at line 37 of file NvJpegDecoder.cpp.